Change owning-team metadata only
curl --request PATCH \
--url https://app.letsflow.ai/v1/instructions/{instructionId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owningTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preconditions": {
"expectedMetadataVersion": 1,
"expectedLatestRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPublicationHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://app.letsflow.ai/v1/instructions/{instructionId}/settings"
payload = {
"owningTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preconditions": {
"expectedMetadataVersion": 1,
"expectedLatestRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPublicationHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owningTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
preconditions: {
expectedMetadataVersion: 1,
expectedLatestRevisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expectedPublicationHeadId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://app.letsflow.ai/v1/instructions/{instructionId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/instructions/{instructionId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'owningTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'preconditions' => [
'expectedMetadataVersion' => 1,
'expectedLatestRevisionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expectedPublicationHeadId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/instructions/{instructionId}/settings"
payload := strings.NewReader("{\n \"owningTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"preconditions\": {\n \"expectedMetadataVersion\": 1,\n \"expectedLatestRevisionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedPublicationHeadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.letsflow.ai/v1/instructions/{instructionId}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owningTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"preconditions\": {\n \"expectedMetadataVersion\": 1,\n \"expectedLatestRevisionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedPublicationHeadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/instructions/{instructionId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owningTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"preconditions\": {\n \"expectedMetadataVersion\": 1,\n \"expectedLatestRevisionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedPublicationHeadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owningTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"metadataVersion": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"latestRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"document": {
"title": "<string>",
"instructionText": "<string>",
"applicationContext": "employee_conversations",
"scope": {
"kind": "organization"
},
"triggerCondition": "<string>",
"inputSchema": {}
},
"tokenEstimate": 123,
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
},
"publicationHead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicationNumber": 123,
"changedByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changedAt": "2023-11-07T05:31:56Z",
"state": "published",
"instructionRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"publishedRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"document": {
"title": "<string>",
"instructionText": "<string>",
"applicationContext": "employee_conversations",
"scope": {
"kind": "organization"
},
"triggerCondition": "<string>",
"inputSchema": {}
},
"tokenEstimate": 123,
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
},
"selectedRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"document": {
"title": "<string>",
"instructionText": "<string>",
"applicationContext": "employee_conversations",
"scope": {
"kind": "organization"
},
"triggerCondition": "<string>",
"inputSchema": {}
},
"tokenEstimate": 123,
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
},
"selection": "latest_saved",
"preconditions": {
"expectedMetadataVersion": 1,
"expectedLatestRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPublicationHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Instructions
Change owning-team metadata only
Authorize current and destination owners. Ownership changes increment metadata freshness without changing revision applicability, latest saved content or publication.
PATCH
/
v1
/
instructions
/
{instructionId}
/
settings
Change owning-team metadata only
curl --request PATCH \
--url https://app.letsflow.ai/v1/instructions/{instructionId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"owningTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preconditions": {
"expectedMetadataVersion": 1,
"expectedLatestRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPublicationHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
'import requests
url = "https://app.letsflow.ai/v1/instructions/{instructionId}/settings"
payload = {
"owningTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"preconditions": {
"expectedMetadataVersion": 1,
"expectedLatestRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPublicationHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owningTeamId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
preconditions: {
expectedMetadataVersion: 1,
expectedLatestRevisionId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expectedPublicationHeadId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
}
})
};
fetch('https://app.letsflow.ai/v1/instructions/{instructionId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.letsflow.ai/v1/instructions/{instructionId}/settings",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'owningTeamId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'preconditions' => [
'expectedMetadataVersion' => 1,
'expectedLatestRevisionId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expectedPublicationHeadId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.letsflow.ai/v1/instructions/{instructionId}/settings"
payload := strings.NewReader("{\n \"owningTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"preconditions\": {\n \"expectedMetadataVersion\": 1,\n \"expectedLatestRevisionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedPublicationHeadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.letsflow.ai/v1/instructions/{instructionId}/settings")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"owningTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"preconditions\": {\n \"expectedMetadataVersion\": 1,\n \"expectedLatestRevisionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedPublicationHeadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.letsflow.ai/v1/instructions/{instructionId}/settings")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"owningTeamId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"preconditions\": {\n \"expectedMetadataVersion\": 1,\n \"expectedLatestRevisionId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expectedPublicationHeadId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"definition": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owningTeamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"enabled": true,
"metadataVersion": 123,
"archivedAt": "2023-11-07T05:31:56Z",
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"latestRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"document": {
"title": "<string>",
"instructionText": "<string>",
"applicationContext": "employee_conversations",
"scope": {
"kind": "organization"
},
"triggerCondition": "<string>",
"inputSchema": {}
},
"tokenEstimate": 123,
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
},
"publicationHead": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"publicationNumber": 123,
"changedByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"changedAt": "2023-11-07T05:31:56Z",
"state": "published",
"instructionRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"publishedRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"document": {
"title": "<string>",
"instructionText": "<string>",
"applicationContext": "employee_conversations",
"scope": {
"kind": "organization"
},
"triggerCondition": "<string>",
"inputSchema": {}
},
"tokenEstimate": 123,
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
},
"selectedRevision": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructionDefinitionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"document": {
"title": "<string>",
"instructionText": "<string>",
"applicationContext": "employee_conversations",
"scope": {
"kind": "organization"
},
"triggerCondition": "<string>",
"inputSchema": {}
},
"tokenEstimate": 123,
"createdByPrincipalId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z"
},
"selection": "latest_saved",
"preconditions": {
"expectedMetadataVersion": 1,
"expectedLatestRevisionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expectedPublicationHeadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"meta": {}
}{
"type": "https://app.letsflow.ai/problems/access-grant-not-found",
"title": "<string>",
"status": 123,
"code": "access_grant_admin_extension_required",
"detail": "<string>",
"instance": "<string>",
"request_id": "<string>",
"correlation_id": "<string>",
"retryable": true,
"auth_failure_reason": "<string>",
"availability_reason": "capability_disabled",
"re_auth_required": true,
"violations": [
{
"field": "<string>",
"message": "<string>",
"capability": "<string>",
"details": {}
}
],
"diagnostics": [
{
"code": "<string>",
"severity": "info",
"message": "<string>",
"fixHint": "<string>",
"location": {
"file": "<string>",
"line": 2,
"column": 2,
"stepId": "<string>"
}
}
]
}Authorizations
OAuth Bearer access tokens or Flow API keys with the required Flow scope families for the route.
Path Parameters
Body
application/json